---
# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/mixins
name: mixins
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports: [linkml:types, base_types, base_diffraction ]
default_range: string
classes:
  GIXD_Technique:
    description: Grazing incidence x-ray diffraction
    # should get all what one can get from PaNET
    mixins: 
      - DiffractionMetadata
    attributes:
      IncidenceAngle:
        description: for measurements with fixed incidence angle
        range: AngleMeasurement
  GIXD_Container:
    mixin: true
    attributes:
      GIXD:
        range: GIXD_Technique

  # would it make sense to go in parallel for filebased "informative" metadata separately?
